## gnats2w 0.12.2

=== Makefile ===
# Makefile for gnats2w
# Copyright (C) 1999 Milan Zamazal


prefix = /usr
PYTHON_DIR = $(prefix)/lib/python1.5/site-packages
DOC_DIR = $(prefix)/share/doc/gnats2w
INFO_DIR = $(prefix)/share/info
TEMPLATE_DIR = $(prefix)/share/gnats2w/templates
LANG_DIR = $(prefix)/share/gnats2w/lang
CGI_DIR = $(prefix)/lib/cgi-bin/gnats2w
#FCGI_DIR = $(prefix)/lib/fcgi-bin/gnats2w
TMP_DIR = /tmp

PYTHON = python
COMPILEALL = /usr/lib/python1.5/compileall.py

INSTALL = install
INSTALL_PROGRAM = $(INSTALL)
INSTALL_DATA = $(INSTALL) -m 644

PYCOMPILE = 0
CFLAGS = -Wall
LDFLAGS =

VERSION = 0.12
DISTDIR = gnats2w-$(VERSION)

export


.PHONY: all install install-strip uninstall clean distclean mostlyclean \
	maintainer-clean TAGS info dvi ps dist check

all:
	$(MAKE) -C src

install: all
	$(MAKE) -C src install
	$(MAKE) -C templates install
	$(MAKE) -C doc install
	$(MAKE) -C man install
	-mkdir -p $(LANG_DIR)
	$(INSTALL_DATA) lang/[^C]* $(LANG_DIR)

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' install

uninstall:

mostlyclean:
	rm -rf $(DISTDIR)
	$(MAKE) -C src mostlyclean
	$(MAKE) -C man mostlyclean

clean:
	rm -rf $(DISTDIR)
	$(MAKE) -C src clean
	$(MAKE) -C man clean

distclean:
	rm -rf $(DISTDIR)
	$(MAKE) -C src distclean
	$(MAKE) -C man distclean

maintainer-clean:
	rm -rf $(DISTDIR) $(DISTDIR).tar.gz
	$(MAKE) -C src maintainer-clean
	$(MAKE) -C man maintainer-clean

TAGS:

info:
	$(MAKE) -C man info

dvi:
	$(MAKE) -C man dvi

ps:
	$(MAKE) -C man ps

dist:
	rm -rf $(DISTDIR)
	mkdir $(DISTDIR)
	cd $(DISTDIR); mkdir doc lang man src templates
	ln COPYING INSTALL NEWS README TODO Makefile $(DISTDIR)
	$(MAKE) -C src dist DISTDIR=../$(DISTDIR)/src
	$(MAKE) -C templates dist DISTDIR=../$(DISTDIR)/templates
	$(MAKE) -C doc dist DISTDIR=../$(DISTDIR)/doc
	$(MAKE) -C man dist DISTDIR=../$(DISTDIR)/man
	cp -a debian $(DISTDIR)/
	ln lang/[a-z]* $(DISTDIR)/lang/
	chmod -R a+rX,u+w,go-w $(DISTDIR)
#	tar zcvf $(DISTDIR).tar.gz $(DISTDIR)

check:

=== man/Makefile ===
# Makefile for gnats2w manual
# Copyright (C) 1999 Milan Zamazal


.PHONY: all install install-strip uninstall clean distclean mostlyclean \
	maintainer-clean TAGS info dvi ps dist check

all: info ps

install: info html
	-mkdir -p $(INFO_DIR)
	$(INSTALL_DATA) *.info* $(INFO_DIR)
	-mkdir -p $(DOC_DIR)/html
	$(INSTALL_DATA) *.html $(DOC_DIR)/html/

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' install

uninstall:

mostlyclean:
	rm -f *.aux *.dvi *.html *.info* *.log *.ps *.toc \
	      *.cp *.cps *.fn *.ky *.pg *.tmp *.tp *.vr *.vrs

clean: mostlyclean

distclean: clean

maintainer-clean: distclean

TAGS:

info: gnats2w.info
gnats2.info: gnats2w.texi
	makeinfo *.texi

html: gnats2w.html
gnats2w.html: gnats2w.texi
	texi2html -split_chapter gnats2w.texi

dvi: gnats2w.dvi
%.dvi: %.texi
	texi2dvi $<

ps: gnats2w.ps
%.ps: %.dvi
	dvips -o $@ @<

dist:
	ln Makefile ChangeLog *.texi $(DISTDIR)

check:

=== debian/changelog ===
gnats2w (0.12.2) unstable; urgency=low

  * Moved to FHS.
  * Lintian 1.10 satisfied.

 -- Milan Zamazal <pdm@debian.org>  Sun, 24 Oct 1999 18:45:05 +0200

gnats2w (0.12.1) unstable; urgency=low

  * Initial Debian package revision.
  * Lintian 1.5 satisfied.

 -- Milan Zamazal <pdm@debian.org>  Mon,  7 Jun 1999 21:43:14 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "pdm@debian.org"
End:

=== debian/control ===
Source: gnats2w
Section: web
Priority: optional
Maintainer: Milan Zamazal <pdm@debian.org>
Standards-Version: 3.0.1

Package: gnats2w
Architecture: all
Depends: gnats (>= 3.110-5), python-base (>= 1.5.1), python-net, python-bobodtml, htmlgen
Recommends: apache | apache-ssl, mail-transport-agent
Description: Yet another Web interface to GNATS.
 gnats2w is a Web interface to GNATS allowing access to most GNATS
 functions through sophisticated Web interface.  Its intended features
 are: Most GNATS user functions accessible through Web, extensibility,
 configurability (including access rights), on-line help, documentation,
 i18n, no dependence on GNATS internal features.

=== debian/rules ===
#!/usr/bin/make -f
#
# Simple rules by Milan Zamazal.  (Oh, I like simple packages...)

package=gnats2w

build:
	dh_testdir
	-rm -f build
	make
	touch build

clean:
	dh_testdir
	-rm -f build
	make maintainer-clean
	dh_clean

binary-indep: build
	dh_testdir
	dh_testroot
	dh_installdirs
	make install prefix=`pwd`/debian/tmp/usr
	mv debian/tmp/usr/lib/python1.5/site-packages/gnats2w/config.py \
	   debian/tmp/etc/gnats2w/
	ln -s /etc/gnats2w/config.py \
	   debian/tmp/usr/lib/python1.5/site-packages/gnats2w/config.py
	dh_installdocs NEWS README TODO
	install -m 644 debian/dhelp \
		debian/tmp/usr/share/doc/$(package)/html/.dhelp
	ln -s gnats2w_toc.html \
		debian/tmp/usr/share/doc/$(package)/html/index.html
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build
# nothing architecture specific here in this package

# Below here is fairly generic really

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean

#Local variables:
#mode: makefile
#End:

## gnats2w 0.13.2

=== debian/changelog ===
gnats2w (0.13.2) unstable; urgency=low

  * Categories selection bug fix (thanks to Jun Morimoto); closes: #54770.

 -- Milan Zamazal <pdm@debian.org>  Wed, 12 Jan 2000 20:35:10 +0100

gnats2w (0.13.1) unstable; urgency=low

  * FAQ added.
  * Change responsible together with category.
  * Various small fixes.

 -- Milan Zamazal <pdm@debian.org>  Sun,  9 Jan 2000 19:20:10 +0100

gnats2w (0.12.5) unstable; urgency=low

  * Change priority to extra, since the package depends on extra packages.

 -- Milan Zamazal <pdm@debian.org>  Wed,  8 Dec 1999 20:52:26 +0100

gnats2w (0.12.4) unstable; urgency=low

  * Standards 3.1.1.
  * FHS fix.
  * Build dependencies introduced.
  * Reference to GPL location on Debian updated.

 -- Milan Zamazal <pdm@debian.org>  Sat, 20 Nov 1999 15:26:11 +0100

gnats2w (0.12.3) unstable; urgency=low

  * Fixed bug in check_problem (thanks to Jun Morimoto).
  * Fixed minor Texinfo bug.

 -- Milan Zamazal <pdm@debian.org>  Sun,  7 Nov 1999 14:56:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: gnats2w
 Section: web
-Priority: optional
+Priority: extra
 Maintainer: Milan Zamazal <pdm@debian.org>
-Standards-Version: 3.0.1
+Build-Depends: debhelper, python-base, python-bobodtml, texinfo, tetex-bin
+Standards-Version: 3.1.1
 
 Package: gnats2w
 Architecture: all

## gnats2w 0.13.4

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 CFLAGS = -Wall
 LDFLAGS =
 
-VERSION = 0.12
+VERSION = 0.13
 DISTDIR = gnats2w-$(VERSION)
 
 export

=== src/Makefile ===
# Makefile for gnats2w sources
# Copyright (C) 1999 Milan Zamazal


TARGET_DIR=$(PYTHON_DIR)/gnats2w
REL_TARGET_DIR=`../relativize.sh $(prefix) $(TARGET_DIR) $(CGI_DIR)`
REL_FTARGET_DIR=`../relativize.sh $(prefix) $(TARGET_DIR) $(FCGI_DIR)`


.PHONY: all compile install install-strip uninstall \
	clean distclean mostlyclean maintainer-clean TAGS info dvi dist check

all: compile

compile:
ifeq ($(PYCOMPILE),1)
	$(PYTHON) $(COMPILEALL) .
	$(PYTHON) -O $(COMPILEALL) .
endif

install: all
	-mkdir -p $(TARGET_DIR)
ifeq ($(PYCOMPILE),1)
	$(INSTALL_DATA) *.py *.py[co] $(TARGET_DIR)
else
	$(INSTALL_DATA) *.py $(TARGET_DIR)
endif
	chmod +x $(TARGET_DIR)/*cgiscript.py*
ifdef FCGI_DIR
	for i in categories edit index query request submit view; do \
		ln -sf $(REL_TARGET_DIR)/cgiscript.py $(CGI_DIR)/$$i.cgi; \
		ln -sf $(REL_FTARGET_DIR)/fcgiscript.py $(FCGI_DIR)/$$i.fcgi; \
	done
else
	for i in categories edit index query request submit view; do \
		ln -sf $(REL_TARGET_DIR)/cgiscript.py $(CGI_DIR)/$$i.cgi; \
	done
endif

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' install

uninstall:

mostlyclean:
	rm -f *.py[co]

clean: mostlyclean

distclean: clean

maintainer-clean: distclean

TAGS:

info:

dvi:

dist:
	ln Makefile ChangeLog *.py $(DISTDIR)

check:

=== templates/Makefile ===
# Makefile for gnats2w templates
# Copyright (C) 1999 Milan Zamazal


.PHONY: all install install-strip uninstall clean distclean mostlyclean \
	maintainer-clean TAGS info dvi dist check

all: 

install:
	-mkdir -p $(TEMPLATE_DIR)
	$(INSTALL_DATA) *.dtml $(TEMPLATE_DIR)

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' install

uninstall:

mostlyclean:

clean: mostlyclean

distclean: clean

maintainer-clean: distclean

TAGS:

info:

dvi:

dist:
	ln Makefile ChangeLog *.dtml $(DISTDIR)

check:

=== debian/changelog ===
gnats2w (0.13.4) frozen; urgency=high

  * Security hole fixed.

 -- Milan Zamazal <pdm@debian.org>  Sun,  5 Mar 2000 09:11:54 +0100

gnats2w (0.13.3) frozen; urgency=low

  * Bug-fix version for frozen, while new unstable version is prepared.
  * Respect database directory when submitting.
  * Database directory bug in categories list fixed.
  * Set upper bound on `gnats' version in dependencies.

 -- Milan Zamazal <pdm@debian.org>  Sat, 22 Jan 2000 14:24:24 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: gnats2w
 Architecture: all
-Depends: gnats (>= 3.110-5), python-base (>= 1.5.1), python-net, python-bobodtml, htmlgen
+Depends: gnats (>= 3.110-5), gnats (<< 4), python-base (>= 1.5.1), python-net, python-bobodtml, htmlgen
 Recommends: apache | apache-ssl, mail-transport-agent
 Description: Yet another Web interface to GNATS.
  gnats2w is a Web interface to GNATS allowing access to most GNATS

## gnats2w 0.14.2

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 CFLAGS = -Wall
 LDFLAGS =
 
-VERSION = 0.13
+VERSION = 0.14
 DISTDIR = gnats2w-$(VERSION)
 
 export

=== debian/changelog ===
gnats2w (0.14.2) unstable; urgency=low

  * Very stupid (and fatal) bug fixed; closes: #56091.

 -- Milan Zamazal <pdm@debian.org>  Tue, 25 Jan 2000 21:40:36 +0100

gnats2w (0.14.1) unstable; urgency=low

  * New "upstream" version.
  * Narrow versions of GNATS in dependencies.

 -- Milan Zamazal <pdm@debian.org>  Sat, 22 Jan 2000 14:06:11 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: gnats2w
 Architecture: all
-Depends: gnats (>= 3.110-5), gnats (<< 4), python-base (>= 1.5.1), python-net, python-bobodtml, htmlgen
+Depends: gnats (>= 3.113-1), gnats (<< 4), python-base (>= 1.5.1), python-net, python-bobodtml, htmlgen
 Recommends: apache | apache-ssl, mail-transport-agent
 Description: Yet another Web interface to GNATS.
  gnats2w is a Web interface to GNATS allowing access to most GNATS

## gnats2w 0.14.3

=== debian/changelog ===
gnats2w (0.14.3) unstable; urgency=high

  * Security hole fixed.

 -- Milan Zamazal <pdm@debian.org>  Sun,  5 Mar 2000 08:44:03 +0100

## gnats2w 0.14.8

=== doc/Makefile ===
# Makefile for gnats2w documentation
# Copyright (C) 1999 Milan Zamazal


.PHONY: all install install-strip uninstall clean distclean mostlyclean \
	maintainer-clean TAGS info dvi dist check

all: 

install:
	-mkdir -p $(DOC_DIR)/online
	$(INSTALL_DATA) *.html $(DOC_DIR)/online/

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' install

uninstall:

mostlyclean:

clean: mostlyclean

distclean: clean

maintainer-clean: distclean

TAGS:

info:

dvi:

dist:
	ln Makefile ChangeLog *.html $(DISTDIR)

check:

=== man/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 uninstall:
 
 mostlyclean:
-	rm -f *.aux *.dvi *.html *.info* *.log *.ps *.toc \
+	rm -f *.aux *.dvi *.gif *.html *.idv *.info* *.lg *.log *.ps *.toc \
 	      *.cp *.cps *.fn *.ky *.pg *.tmp *.tp *.vr *.vrs
 
 clean: mostlyclean

=== src/Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 REL_TARGET_DIR=`../relativize.sh $(prefix) $(TARGET_DIR) $(CGI_DIR)`
 REL_FTARGET_DIR=`../relativize.sh $(prefix) $(TARGET_DIR) $(FCGI_DIR)`
 
+SCRIPTS= categories classes edit index query request states submit view
 
 .PHONY: all compile install install-strip uninstall \
 	clean distclean mostlyclean maintainer-clean TAGS info dvi dist check
@@ -27,12 +28,12 @@
 endif
 	chmod +x $(TARGET_DIR)/*cgiscript.py*
 ifdef FCGI_DIR
-	for i in categories edit index query request submit view; do \
+	for i in $(SCRIPTS); do \
 		ln -sf $(REL_TARGET_DIR)/cgiscript.py $(CGI_DIR)/$$i.cgi; \
 		ln -sf $(REL_FTARGET_DIR)/fcgiscript.py $(FCGI_DIR)/$$i.fcgi; \
 	done
 else
-	for i in categories edit index query request submit view; do \
+	for i in $(SCRIPTS); do \
 		ln -sf $(REL_TARGET_DIR)/cgiscript.py $(CGI_DIR)/$$i.cgi; \
 	done
 endif

=== debian/changelog ===
gnats2w (0.14.8) unstable; urgency=low

  * Bug fix in cgiscript.
  * Depend on gnats < 3.999.

 -- Milan Zamazal <pdm@debian.org>  Fri,  8 Sep 2000 10:41:50 +0200

gnats2w (0.14.7) unstable; urgency=low

  * Bug fix in problem format checking.
  * More detailed description of the GNATS_DIR configuration variable.
  * Authentication setup examples improved; closes: #65467.
  * Lintian 1.11.2 satisfied.

 -- Milan Zamazal <pdm@debian.org>  Fri, 28 Jul 2000 20:35:26 +0200

gnats2w (0.14.6) unstable; urgency=low

  * Bug fixes based on reports of John Goerzen; closes: #65614, #65616.

 -- Milan Zamazal <pdm@debian.org>  Wed, 14 Jun 2000 22:07:32 +0200

gnats2w (0.14.5) unstable; urgency=low

  * Access definition related fixes.

 -- Milan Zamazal <pdm@debian.org>  Tue, 13 Jun 2000 21:05:58 +0200

gnats2w (0.14.4) unstable; urgency=low

  * Category description fix.

 -- Milan Zamazal <pdm@debian.org>  Fri, 31 Mar 2000 21:03:01 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: gnats2w
 Architecture: all
-Depends: gnats (>= 3.113-1), gnats (<< 4), python-base (>= 1.5.1), python-net, python-bobodtml, htmlgen
+Depends: gnats (>= 3.113-1), gnats (<< 3.999), python-base (>= 1.5.1), python-net, python-bobodtml, htmlgen
 Recommends: apache | apache-ssl, mail-transport-agent
 Description: Yet another Web interface to GNATS.
  gnats2w is a Web interface to GNATS allowing access to most GNATS

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 	   debian/tmp/etc/gnats2w/
 	ln -s /etc/gnats2w/config.py \
 	   debian/tmp/usr/lib/python1.5/site-packages/gnats2w/config.py
-	dh_installdocs NEWS README TODO
+	dh_installdocs FAQ NEWS README TODO
 	install -m 644 debian/dhelp \
 		debian/tmp/usr/share/doc/$(package)/html/.dhelp
 	ln -s gnats2w_toc.html \

## gnats2w 0.15.1

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,11 @@
 # Makefile for gnats2w
-# Copyright (C) 1999 Milan Zamazal
+# Copyright (C) 1999, 2001 Milan Zamazal
 
 
 prefix = /usr
 PYTHON_DIR = $(prefix)/lib/python1.5/site-packages
 DOC_DIR = $(prefix)/share/doc/gnats2w
+ONLINE_DOC_DIR = $(prefix)/share/gnats2w/doc
 INFO_DIR = $(prefix)/share/info
 TEMPLATE_DIR = $(prefix)/share/gnats2w/templates
 LANG_DIR = $(prefix)/share/gnats2w/lang
@@ -23,7 +24,7 @@
 CFLAGS = -Wall
 LDFLAGS =
 
-VERSION = 0.14
+VERSION = 0.15
 DISTDIR = gnats2w-$(VERSION)
 
 export

=== doc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile for gnats2w documentation
-# Copyright (C) 1999 Milan Zamazal
+# Copyright (C) 1999, 2001 Milan Zamazal
 
 
 .PHONY: all install install-strip uninstall clean distclean mostlyclean \
@@ -8,8 +8,9 @@
 all: 
 
 install:
-	-mkdir -p $(DOC_DIR)/online
-	$(INSTALL_DATA) *.html $(DOC_DIR)/online/
+	-mkdir -p $(ONLINE_DOC_DIR)
+	$(INSTALL_DATA) *.html $(ONLINE_DOC_DIR)/
+	ln -s $(ONLINE_DOC_DIR)/ $(DOC_DIR)/online
 
 install-strip:
 	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' install

=== debian/changelog ===
gnats2w (0.15.1) unstable; urgency=low

  * GNATS 4 partially supported.
  * Depend on gnats >= 3.999.
  * Depend on exim or mail-transport-agent, not only mail-transport-agent.
  * Build-depend on texi2html instead of tetex-bin.
  * Standards 3.5.2.
  * Online documentation moved to /usr/share/gnats2w.
  * No Lintian 1.20.13 errors.
  * add-log-mailing-address removed from this changelog.

 -- Milan Zamazal <pdm@debian.org>  Sat, 14 Apr 2001 15:16:26 +0200

=== debian/control ===
Source: gnats2w
Section: web
Priority: extra
Maintainer: Milan Zamazal <pdm@debian.org>
Build-Depends: debhelper, python-base, python-bobodtml, texinfo, texi2html
Standards-Version: 3.5.2

Package: gnats2w
Architecture: all
Depends: gnats (>= 3.999), python-base (>= 1.5.1), python-net, python-bobodtml, htmlgen
Recommends: apache | apache-ssl, exim | mail-transport-agent
Description: Yet another Web interface to GNATS.
 gnats2w is a Web interface to GNATS allowing access to most GNATS
 functions through sophisticated Web interface.  Its intended features
 are: Most GNATS user functions accessible through Web, extensibility,
 configurability (including access rights), on-line help, documentation,
 i18n, no dependence on GNATS internal features.

## gnats2w 0.15.2

=== debian/changelog ===
gnats2w (0.15.2) unstable; urgency=low

  * Bug fix.
  * Depend on gnats >=3.113, not >=3.999.

 -- Milan Zamazal <pdm@debian.org>  Sun, 22 Apr 2001 11:13:34 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: gnats2w
 Architecture: all
-Depends: gnats (>= 3.999), python-base (>= 1.5.1), python-net, python-bobodtml, htmlgen
+Depends: gnats (>= 3.113-1), python-base (>= 1.5.1), python-net, python-bobodtml, htmlgen
 Recommends: apache | apache-ssl, exim | mail-transport-agent
 Description: Yet another Web interface to GNATS.
  gnats2w is a Web interface to GNATS allowing access to most GNATS
